Home

# Class goog.net.Ipv6Address

Takes a string or a number and returns an IPv6 Address. This constructor accepts strings and instance of goog.math.Integer. If you pass a goog.math.Integer, make sure that its sign is set to positive.

extends goog.net.IpAddress

Instance Method Summary
| `getMappedIpv4Address() ⇒ ?goog.net.Ipv4Address` Will return the mapped IPv4 address in this IPv6 address.
| `isMappedIpv4Address() ⇒ boolean`
| `toString() ⇒ string`
| `toUriString() ⇒ string`

Static Method Summary
| `compress_(!Array hextets) ⇒ ?Array.<string>` This method is in charge of compressing an expanded IPv6 array of hextets.
| `dottedQuadtoHextets_(string quads) ⇒ ?Array.<string>` This method will convert an IPv4 to a list of 2 hextets. For instance, 1.2.3.4 will be converted to ['0102', '0304'].
| `explode_(!Array address) ⇒ ?Array.<string>` This method is in charge of expanding/exploding an IPv6 string from its compressed form.